Update service-order
Update data on a given service-order.
Required permissions: SERVICE_ORDER
put/tenants/{tenantUid}/stores/{storeUid}/serviceorders/{serviceOrderUid}
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+serviceOrderUidstringRequiredPattern:
Reference to a service order
^[A-Za-z0-9-_]+Body
customerUidstringRequiredPattern:
^[A-Za-z0-9-_]*serviceTypeUidstringRequiredPattern:
^[A-Za-z0-9-_]+orderProductLineUidstringOptionalPattern:
^[A-Za-z0-9-_]*titlestringRequired
descriptionstringRequired
locationLabelstringOptional
prioritystring · enumRequiredDefault:
NONEPossible values: requiresPriceEstimatebooleanOptional
estimatedPriceintegerOptional
maxPriceintegerOptional
readyAtEstimatestring · date-timeOptional
readyAtNeededstring · date-timeOptional
assignedUserUidstringOptionalPattern:
^[A-Za-z0-9-_]*warrantybooleanOptional
rmaOrderItemUidstring · nullableOptionalPattern:
^[A-Za-z0-9-_]*Responses
200
Example response
application/json
serviceOrderUidstringRequiredPattern:
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
^[A-Za-z0-9-_]+orderProductLineUidstringRequiredPattern:
^[A-Za-z0-9-_]*orderUidstringRequiredPattern:
^[A-Za-z0-9-_]*customerUidstringRequiredPattern:
^[A-Za-z0-9-_]*customerNamestringRequired
createdFromStoreUidstringRequiredPattern:
^[A-Za-z0-9-_]+assignedUserUidstringRequiredPattern:
^[A-Za-z0-9-_]*assignedUserDisplayNamestringRequired
serviceTypeUidstringRequiredPattern:
^[A-Za-z0-9-_]+serviceTypeNamestringRequired
serviceStatusUidstringRequiredPattern:
^[A-Za-z0-9-_]+serviceStatusNamestringRequired
serviceStatestring · enumRequiredPossible values:
titlestringRequired
serviceNumberstringRequired
externalServiceNumberstringRequired
descriptionstringRequired
locationLabelstringRequired
prioritystring · enumRequiredDefault:
NONEPossible values: requiresPriceEstimatebooleanRequired
estimatedPriceintegerRequired
maxPriceintegerRequired
readyAtEstimatestring · date-timeRequired
readyAtNeededstring · date-timeRequired
publicPageHashstringRequired
warrantybooleanRequired
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
rmaOrderItemUidstringRequiredPattern:
^[A-Za-z0-9-_]*rmaOrderUidstringRequiredPattern:
^[A-Za-z0-9-_]*put/tenants/{tenantUid}/stores/{storeUid}/serviceorders/{serviceOrderUid}
PUT /v2/tenants/{tenantUid}/stores/{storeUid}/serviceorders/{serviceOrderUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 367
{
"customerUid": "text",
"serviceTypeUid": "text",
"orderProductLineUid": "text",
"title": "text",
"description": "text",
"locationLabel": "text",
"priority": "NONE",
"requiresPriceEstimate": true,
"estimatedPrice": 1,
"maxPrice": 1,
"readyAtEstimate": "2026-01-01T00:00:00.000Z",
"readyAtNeeded": "2026-01-01T00:00:00.000Z",
"assignedUserUid": "text",
"warranty": true,
"rmaOrderItemUid": "text"
}200
Example response
{
"serviceOrderUid": "text",
"tenantUid": "text",
"storeUid": "text",
"orderProductLineUid": "text",
"orderUid": "text",
"customerUid": "text",
"customerName": "text",
"createdFromStoreUid": "text",
"assignedUserUid": "text",
"assignedUserDisplayName": "text",
"serviceTypeUid": "text",
"serviceTypeName": "text",
"serviceStatusUid": "text",
"serviceStatusName": "text",
"serviceState": "NOT_STARTED",
"title": "text",
"serviceNumber": "text",
"externalServiceNumber": "text",
"description": "text",
"locationLabel": "text",
"priority": "NONE",
"requiresPriceEstimate": true,
"estimatedPrice": 1,
"maxPrice": 1,
"readyAtEstimate": "2026-01-01T00:00:00.000Z",
"readyAtNeeded": "2026-01-01T00:00:00.000Z",
"publicPageHash": "text",
"warranty": true,
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"totals": {
"grandTotal": 1,
"partsTotal": 1,
"workTotal": 1
},
"items": [
{
"serviceOrderItemUid": "text",
"serviceOrderUid": "text",
"warehouseUid": "text",
"tenantUserUid": "text",
"productUid": "text",
"salesOrderUid": "text",
"quantity": 1,
"name": "text",
"sku": "text",
"price": 1,
"costPrice": 1,
"originalPrice": 1,
"totalPrice": 1,
"totalCostPrice": 1,
"serialNumber": "text",
"note": "text",
"tenantUserDisplayName": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text"
}
],
"assets": [
{
"assetUid": "text",
"name": "text",
"description": "text",
"isPublic": true,
"publicUrl": "text",
"mimeType": "text"
}
],
"rmaOrderItemUid": "text",
"rmaOrderUid": "text"
}Last updated
Was this helpful?

